#!/bin/sh

PROGS="$@"
for doc in tests/*.xml
do
    if [ -f "$doc".queries ]
    then
        cat "$doc".queries | grep -v '^#' | while read qname q
        do
            D=""
            N=""
            echo "$qname" "$q"
            for p in $PROGS
            do
                echo "$p":
                cat "$doc".results/"$qname"_"$p".log | grep --color=never time
                N="$N_$p"
                D="$D $doc".results/"$qname"_"$p".xml
            done
            echo -n "Diff ... "
            ./xml_diff.native $D > "$doc".results/"$qname""$N".diff 2>&1
            case "$?" in
                "0")
                    echo "ok"
                    ;;
                *)
                    echo "failed"
                    ;;
            esac
            echo "-------------------------------------------"
        done
    fi


done
